﻿/*------------------------------------------------------------*/
/* jQuery UI */
/*------------------------------------------------------------*/
.ui-widget {
    font-family: 'Meiryo UI','Yu Gothic UI';
    font-size: 13px;
}

.ui-dialog {
    /* font-size:10px; */
}

/* jQuery UI DatePicker*/
.ui-datepicker {
    z-index: 10001 !important;
}
.ui-datepicker-trigger, .ui-timepicker-trigger{
    padding:0;
    /*line-height:21px;*/
    line-height:18px;
    /*height:24px;*/
    height:calc(1.5em + .75 rem + 2px);
    width:22px;
    border-radius:0 3px 3px 0;
    border:1px solid #CCC;
    margin-left:-2px;
    /*z-index:10000;*/
}

/* jQuery UI TimePicker*/
.ui-timepicker {
    z-index: 10001 !important;
}

.ui-timepicker-table td a {
    width: auto;
    font-size: 10px;
}

/*------------------------------------------------------------*/
/* Bootstrap カスタマイズ */
/*------------------------------------------------------------*/
body {
    /*font-family: 'Meiryo UI','Yu Gothic UI';*/
}

label {
    font-weight: normal;
}

ul {
    list-style: none;
    padding-left: 0;
}

.input-group-text{
    padding-top:0;
    padding-bottom:0;
}

/* 2021.07.04 rebootのlabelのmargin-bottomを解除 */
/* form-control以外のlabel(datagrid内等)への影響回避 */
label{
    margin-bottom:0;
}


/*------------------------------------------------------------*/
/* REPS スタイル */
/*------------------------------------------------------------*/
::-ms-clear {display: none;}    /*×*/

/* ページ内CSSリセット */
.er-container *:not(h1):not(h2):not(h3):not(h4):not(h5):not(h6):not(h7) {
    /* **************************************** */
    /* フォントサイズ */
    /* **************************************** */
    font-size: .8125rem;     /*font-size: 13px;*/
}

/* ページタイトル */
.er-content-header h1{
    margin:0;
    font-size:1.5rem;
    line-height:1.5;
}

/* アクティブフィールド */
.er-container input:not([type*="button"]):not([readonly*="readonly"]):focus,
.er-container select:focus,
.er-container textarea:focus {
    background-color: lightyellow !important;
}

/* 入力エラー */
.er-error {
    background-color: red !important;
    border-color:red !important;
}

/* 入力欄 */
.er-container .input-group {
    margin: 3px;
}

/* 入力フィールド */
.er-container input,
.er-container select,
.er-container span.form-control,
.er-container input~label,
.er-container .er-label,
.er-container .er-table tr,
.er-container .input-group-text,
.er-container button:not(.er-fn)
{
    /* **************************************** */
    /* 入力フィールド高さ設定(=行高) */
    /* **************************************** */
    /*height:24px;
    line-height:24px;*/

    /* 標準サイズ(33.5px) checkbox,radioのlabel位置調整のため明示設定 */
    height:calc(1.5em + .75rem + 2px);
    line-height:calc(1.5em + .75rem + 2px);

    /*height:40px;
    line-height:40px;*/
}

.er-container input,
.er-container select,
.er-container span.form-control,
.er-container .form-control label,
.er-container button
{
    margin:0;
    padding:0;
    vertical-align:top;
}

/* チェックボックス・ラジオボタン */
.er-container input[type=checkbox],
.er-container input[type=radio]
{
    margin-left:.3rem;
}
.er-container .er-label input
{
    margin-right:.3rem;
}

/* チェックボックス・ラジオボタンラベル */
.er-container input[type=checkbox]~label,
.er-container input[type=radio]~label
{
    padding-left:.3rem;
}
.er-container .er-label::after
{
    white-space:pre;
    content:"  ";
}

/* ファンクションバー内 Webフォント */
.er-fn i, .er-btn i{
    padding-right:4px;
}

/*------------------------------------------------------------*/
/* Reps23パターン 追加CSS */
/*------------------------------------------------------------*/
body{
    /* ヘッダー・フッターサイズに合わせる */
    padding-top:3.875rem;
    padding-bottom:3.85rem;
}

.fixed-top, .fixed-bottom{
    z-index:20000;
}

.er-fn {
    overflow: hidden;
    white-space:nowrap;
    width: calc(8% - 5px);
}

#er-mode{
    width:4rem;
    padding:0;
    border-style:none;
    font-size:16px;
    height:24px;
    line-height:24px;
}

#er-message{
    padding:0 2px;
    border-style:none;
    width:100%;
    font-size:16px;
    height:24px;
    line-height:24px;
}

.input-group-text{
    background-color:#e9ecef;
}
.er-require{
    background-color:#C4D9ED;
}

/*複数行項目(textarea等)ラベル*/
.er-container .er-label-multiline{
    height:auto;
}

/*スライドパネル 2021.08.12*/
.er-slide-panel{
    background-color:snow;
    position:absolute;
    left:0;
    width:100%;
    display:none;
}

/*---------------------------------------------------------------*/
